Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class AEADParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AEADParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  CCMParameters

public class AEADParameters
extends java.lang.Object
implements CipherParameters

Constructor Summary
`AEADParameters(KeyParameter key, int macSize, byte[] nonce)` Base constructor.
`AEADParameters(KeyParameter key, int macSize, byte[] nonce, byte[] associatedText)` Base constructor.

Method Summary
`byte[]` | `getAssociatedText()`
`KeyParameter` | `getKey()`
`int` | `getMacSize()`
`byte[]` | `getNonce()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AEADParameters

    public AEADParameters(KeyParameter key,
                          int macSize,
                          byte[] nonce)

  Base constructor.

Parameters:
  `key` - key to be used by underlying cipher
  `macSize` - macSize in bits
  `nonce` - nonce to be used

### AEADParameters

    public AEADParameters(KeyParameter key,
                          int macSize,
                          byte[] nonce,
                          byte[] associatedText)

  Base constructor.

Parameters:
  `key` - key to be used by underlying cipher
  `macSize` - macSize in bits
  `nonce` - nonce to be used
  `associatedText` - initial associated text, if any

Method Detail

### getKey

    public KeyParameter getKey()

### getMacSize

    public int getMacSize()

### getAssociatedText

    public byte[] getAssociatedText()

### getNonce

    public byte[] getNonce()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD